package com.cristobalbernal.foro.controlador;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.servlet.support.ServletUriComponentsBuilder;

import java.net.MalformedURLException;
import java.net.URL;
@Controller
public class controlador {
    @GetMapping({"/","","home","/inicio","/index"})
    public String welcome(Model model) throws MalformedURLException {
        final String currentURL = ServletUriComponentsBuilder.fromCurrentContextPath().build().toUriString();
        URL requestURL = new URL(currentURL);
        model.addAttribute("mensaje","Ramoncin");
        String dominio = requestURL.getHost();
        int x = dominio.indexOf(".");
        int y = dominio.indexOf(".");
        String conDominio = dominio.substring(0,x);
        model.addAttribute("dominio",conDominio);
        return "index";
    }
}
